Bug 241488 - net-im/prosody: Update to 0.11.3
Summary: net-im/prosody: Update to 0.11.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kubilay Kocak
URL: https://blog.prosody.im/prosody-0.11....
Keywords: buildisok
Depends on:
Blocks: 241619
  Show dependency treegraph
 
Reported: 2019-10-25 13:41 UTC by Thomas Morper
Modified: 2020-01-13 03:35 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lx)
koobs: merge-quarterly+


Attachments
svn diff to update net-im/prosody to 0.11.3 (869 bytes, patch)
2019-10-25 13:41 UTC, Thomas Morper
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Morper 2019-10-25 13:41:28 UTC
Created attachment 208596 [details]
svn diff to update net-im/prosody to 0.11.3

About a month ago Prosoy 0.11.3 was released, containing numerous bugfixes. It is recommended for all users of 0.11.x to upgrade.

Updating the port shouldn't require more than bumping PORTVERSION and resetting PORTREVISION, see attached diff - tested with poudriere.
Comment 1 Automation User 2019-11-09 00:07:02 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/94752356
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-13 03:06:41 UTC
^Triage: Bugfix release, MFH
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-13 03:07:21 UTC
Comment on attachment 208596 [details]
svn diff to update net-im/prosody to 0.11.3

Approved by: portmgr (maintainer timeout: > 1 month)

Pending QA
Comment 4 commit-hook freebsd_committer 2020-01-13 03:30:52 UTC
A commit references this bug:

Author: koobs
Date: Mon Jan 13 03:30:08 UTC 2020
New revision: 522848
URL: https://svnweb.freebsd.org/changeset/ports/522848

Log:
  net-im/prosody: Update to 0.11.3

  Changelog:

    https://blog.prosody.im/prosody-0.11.3-released/

  PR:		241488
  Submitted by:	Thomas Morper <thomas beingboiled info>
  Approved by:	portmgr (maintainer timeout: > 1 month)
  MFH:		2020Q1 (blanket: bugfix release)

Changes:
  head/net-im/prosody/Makefile
  head/net-im/prosody/distinfo
Comment 5 commit-hook freebsd_committer 2020-01-13 03:32:54 UTC
A commit references this bug:

Author: koobs
Date: Mon Jan 13 03:32:41 UTC 2020
New revision: 522850
URL: https://svnweb.freebsd.org/changeset/ports/522850

Log:
  MFH: r522848 net-im/prosody: Update to 0.11.3

  Changelog:

    https://blog.prosody.im/prosody-0.11.3-released/

  PR:		241488
  Submitted by:	Thomas Morper <thomas beingboiled info>
  Approved by:	portmgr (maintainer timeout: > 1 month)

  Approved by:	ports-secteam (blanket: bugfix release)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/net-im/prosody/Makefile
  branches/2020Q1/net-im/prosody/distinfo
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-13 03:35:11 UTC
Committed and merged with minor changes (portlint whitespace/spaces->tabs fixes)

Thank you Thomas!